8 Replies Latest reply: Jul 1, 2014 3:08 AM by Christian Erlinger RSS

    JRE version 1.7.0_10 issue with Oracle Form Application


      Hi Guru,


      I need your help, please advise what should be the JRE version should I use and how? what would be the best possible way with Oracle supplied jar files as well as custom jar file (with self-sign), in order to run Oracle Form Application smoothly and securely.


      Following are the product version

      Oracle Form & Report 11g R2 (11.1.2)  (64bit)

      Oracle Weblogic Server 10.3.5 (64bit)

      Oracle Database 11g Release - 64bit Production.

      Windows Server 2008 R2


      Initial JRE version install with Oracle Form & Report 11g R2 (11.1.2) was 1.6.0_12, I updated to 1.6.0_24, it was working fine. by the time browser ask to update JRE version, so updated to 1.7.0_10, and stop update now.

      Now I'm getting different type of problem based on browser (IE, Mozilla or chrome).

      for example,

      Applet not show on browser and block the application

      Ask to update jre

      UNKNOWN publisher dialog box



      I have seen following link but i'm confused, should i update JRE to latest version and used self-sign jar files (for custom jar) or can be do some setting in order to continue with 1.7.0_10 without any problem


      Java Applet & Web Start - Code Signing

      Java™ SE Development Kit 7 Update 25 Release Notes

      Oracle® Fusion Middleware System Requirements and Specifications for Oracle Forms and Reports